class Categorie < ActiveRecord::Base
	# la cl primaire s'appele catid et non id
	self.primary_key="catid"
	
	attr_accessible :catlib
	
	# une catgorie "possde" plusieurs livres, par le biais de leur champ livcat, en relation avec la cl primaire catid
	has_many :"livres", :class_name => Livre, :foreign_key => :livcat, :primary_key => :catid	

end
