class Livre < ActiveRecord::Base
	# la cl primaire est id (automatique)
	
	attr_accessible :auteur_id, :livtit, :livcat
	
	# un livre est crit par un auteur
	belongs_to :auteur

	# un livre est class dans une catgorie, par son champ livcat qui rfrence cette catgorie identifie par catid
	belongs_to :categorie, :foreign_key => :livcat, :primary_key => :catid
end
