﻿class ChargementController < ApplicationController


##### Chargement de la base de données
def charg


### Supprimer les auteurs existants
Auteur.delete_all

# reinitialiser les ids à 0 pour les auteurs (attention ne fonctionne pas pour toutes les bases ?)
ActiveRecord::Base.connection.execute("DELETE from sqlite_sequence where name = 'auteurs'") 

### Ouvrir le fichier des auteurs
f1=File.open("E:/didier/ruby/rails/biblio/app/auteurs.txt", "r")

nba = 0
conversion_auteur=Hash.new

### Lire les données et alimenter la base
f1.each_line { |ligne|
	# créer l'auteur
	au=Auteur.create(:autabr => ligne[6, 10].strip, :autnom => ligne[16, 20].strip )	  
	nba=nba+1
	
	# créer la table de correspondance entre les anciens id du fichier texte et les automatiques de la base
	conversion_auteur[ligne[0, 3]] = au[:id]
}

f1.close()



### Supprimer les catégories exitantes
Categorie.delete_all


# reinitialiser les ids à 0 pour les catégories (attention ne fonctionne pas pour toutes les bases ?)
ActiveRecord::Base.connection.execute("DELETE from sqlite_sequence where name = 'categories'") 

### Ouvrir le fichier des catégories
f1=File.open("E:/didier/ruby/rails/biblio/app/categories.txt", "r")

nbc = 0
conversion_categ=Hash.new

### Lire les données et alimenter la base
f1.each_line { |ligne|
	# créer la catégorie
	ct=Categorie.create(:catlib => ligne[3, 20].strip)	  
	nbc=nbc+1
	
	# créer la table de correspondance entre les anciens id du fichier texte et les automatiques de la base
	conversion_categ[ligne[0, 2]] = ct[:catid]
}

f1.close()



### Supprimer les livres existants
Livre.delete_all


# reinitialiser les ids à 0 pour les livres
ActiveRecord::Base.connection.execute("DELETE from sqlite_sequence where name = 'livres'") 

### Ouvrir le fichier des livres
f1=File.open("E:/didier/ruby/rails/biblio/app/livres.txt", "r")

nbl = 0

### Lire les données et alimenter la base
f1.each_line { |ligne|
	# créer le livre en utilisant les correspondances d'id des auteurs et catégories
	li=Livre.create(:livtit => ligne[6, 50].strip, :auteur_id => conversion_auteur[ligne[56, 3]] , :livcat => conversion_categ[ligne[68, 2]])	  
	nbl=nbl+1
}

f1.close()




### Afficher la liste des auteurs avec en message d'erreur le nombre de lignes traitées
flash[:meserr]=nba.to_s+  " auteurs traités, " + nbc.to_s + " catégories, " + nbl.to_s + " livres"

redirect_to lister_les_auteurs_path



end



end
