﻿module ApplicationHelper

##### Cette fonction détermine le titre de la page en fonction de l'action
# Elle est appelée par le layout, les vues n'ont donc pas à s'en préoccuper

def calcul_titre

	# où est-on ?
	ctl=controller_name
	act=action_name

	case ctl
	    when "menu"
		case act
		    when "page_accueil"
		        tit = "Accueil"
		    else
			tit = action_name
		end
	    
	    when "auteurs"
		case act
		    when "liste"
		        tit = "Liste des auteurs"
		    when "ajout"
		        tit = "Ajout d'un auteur"
		    when "ajoutvalid"
		        tit = "Ajout d'un auteur après erreur"
		    when "modif"
		        tit = "Modification d'un auteur"
		    when "modifvalid"
		        tit = "Modification d'un auteur après erreur"
		    else
			tit = "Auteurs..."
		end
	    
	    when "categories"
		case act
		    when "liste"
		        tit = "Liste des catégories"
		    when "ajout"
		        tit = "Ajout d'une catégorie"
		    when "ajoutvalid"
		        tit = "Ajout d'une catégorie après erreur"
		    when "modif"
		        tit = "Modification d'une catégorie"
		    when "modifvalid"
		        tit = "Modification d'une catégorie après erreur"
		    else
			tit = "Catégories..."
		end
	    
	    when "livres"
		case act
		    when "liste"
		        tit = "Liste des livres"
		    when "ajout"
		        tit = "Ajout d'un livre"
		    when "ajoutvalid"
		        tit = "Ajout d'un livre après erreur"
		    when "modif"
		        tit = "Modification d'un livre"
		    when "modifvalid"
		        tit = "Modification d'un livre après erreur"
		    when "recherche"
		        tit = "Recherche de livres"
		    else
			tit = "Livres..."
		end
	    
	    else
		tit="Inconnu"
	end

	# la valeur de retour est la dernière affectation qui a eu lieu, c'est_à_dire la variable tit

end


end

